basePath: /api/v1
consumes:
- application/json
definitions:
  common.BaseResponse:
    properties:
      body: {}
      message:
        type: string
    type: object
  common.PaginationResponse:
    properties:
      items: {}
      total:
        type: integer
    type: object
  common.SuccessResponse:
    properties:
      success:
        type: boolean
    type: object
  constants.CarStatus:
    enum:
    - available
    - in_service
    - on_rent
    type: string
    x-enum-varnames:
    - CarStatusAvailable
    - CarStatusInService
    - CarStatusOnRent
  constants.DamageLocation:
    enum:
    - left
    - right
    type: string
    x-enum-varnames:
    - DamageLocationLeft
    - DamageLocationRight
  constants.DamageType:
    enum:
    - front
    - back
    type: string
    x-enum-varnames:
    - DamageTypeFront
    - DamageTypeBack
  constants.Steering:
    enum:
    - manual
    - auto
    - combined
    type: string
    x-enum-varnames:
    - SteeringManual
    - SteeringAuto
    - SteeringCombined
  constants.UserRole:
    enum:
    - admin
    - user
    type: string
    x-enum-varnames:
    - UserRoleAdmin
    - UserRoleUser
  controllers.UploadResponse:
    properties:
      name:
        type: string
      path:
        type: string
    type: object
  database.Sorter:
    additionalProperties:
      type: string
    type: object
  databases.Car:
    properties:
      baggage:
        type: integer
      capacity:
        type: integer
      car_type:
        $ref: '#/definitions/databases.CarType'
      car_type_id:
        description: references
        type: integer
      casoline:
        type: integer
      color:
        type: string
      created_at:
        type: string
      description:
        type: string
      id:
        type: integer
      image_paths:
        items:
          type: string
        type: array
      insurance:
        $ref: '#/definitions/databases.InsuranceCompany'
      insurance_id:
        type: integer
      is_featured:
        type: boolean
      is_popular:
        type: boolean
      licence_no:
        type: string
      name:
        type: string
      price:
        type: number
      status:
        $ref: '#/definitions/constants.CarStatus'
      steering:
        $ref: '#/definitions/constants.Steering'
      updated_at:
        type: string
      vin_no:
        type: string
    type: object
  databases.CarDamage:
    properties:
      car_id:
        type: integer
      created_at:
        type: string
      customer_id:
        type: integer
      id:
        type: integer
      location:
        $ref: '#/definitions/constants.DamageLocation'
      note:
        type: string
      reservation_id:
        type: integer
      type:
        $ref: '#/definitions/constants.DamageType'
      updated_at:
        type: string
    type: object
  databases.CarDocument:
    properties:
      car_id:
        type: integer
      created_at:
        type: string
      file_path:
        type: string
      id:
        type: integer
      name:
        type: string
      updated_at:
        type: string
    type: object
  databases.CarNote:
    properties:
      car_id:
        type: integer
      created_at:
        type: string
      id:
        type: integer
      note:
        type: string
      updated_at:
        type: string
    type: object
  databases.CarTraffic:
    properties:
      car_id:
        type: integer
      created_at:
        type: string
      customer_id:
        type: integer
      date:
        type: string
      id:
        type: integer
      is_paid:
        type: boolean
      note:
        type: string
      reservation_id:
        type: integer
      ticket_no:
        type: string
      updated_at:
        type: string
    type: object
  databases.CarType:
    properties:
      created_at:
        type: string
      id:
        type: integer
      name:
        type: string
      updated_at:
        type: string
    type: object
  databases.ConfigType:
    enum:
    - string
    - int
    - float
    - json
    - '[]string'
    - '[]int'
    - '[]float'
    - '[]json'
    type: string
    x-enum-varnames:
    - ConfigTypeString
    - ConfigTypeInt
    - ConfigTypeFloat
    - ConfigTypeJson
    - ConfigTypeStringArray
    - ConfigTypeIntArray
    - ConfigTypeFloatArray
    - ConfigTypeJsonArray
  databases.Contact:
    properties:
      created_at:
        type: string
      icon_path:
        type: string
      id:
        type: integer
      name:
        type: string
      phone:
        type: string
      updated_at:
        type: string
    type: object
  databases.Coupon:
    properties:
      code:
        type: string
      created_at:
        type: string
      id:
        type: integer
      is_used:
        type: boolean
      price:
        type: number
      updated_at:
        type: string
    type: object
  databases.EmailTemplate:
    properties:
      content_html:
        type: string
      created_at:
        type: string
      id:
        type: integer
      name:
        type: string
      type:
        type: string
      updated_at:
        type: string
    type: object
  databases.InsuranceCompany:
    properties:
      created_at:
        type: string
      id:
        type: integer
      name:
        type: string
      phone:
        type: string
      updated_at:
        type: string
      website:
        type: string
    type: object
  databases.Location:
    properties:
      created_at:
        type: string
      id:
        type: integer
      lat:
        type: number
      long:
        type: number
      name:
        type: string
      updated_at:
        type: string
    type: object
  databases.Staff:
    properties:
      avatar_path:
        type: string
      bio:
        type: string
      created_at:
        type: string
      email:
        type: string
      first_name:
        type: string
      id:
        type: integer
      is_active:
        type: boolean
      last_name:
        type: string
      position:
        type: string
      role:
        $ref: '#/definitions/constants.UserRole'
      updated_at:
        type: string
    type: object
  settings.CarTypeCreateInput:
    properties:
      name:
        type: string
    type: object
  settings.CarTypePageFilterInput:
    properties:
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  settings.CarTypeUpdateInput:
    properties:
      name:
        type: string
    type: object
  settings.ChangePasswordInput:
    properties:
      password:
        type: string
    type: object
  settings.ConfigData:
    properties:
      type:
        $ref: '#/definitions/databases.ConfigType'
      value: {}
    type: object
  settings.ConfigSetInput:
    properties:
      type:
        $ref: '#/definitions/databases.ConfigType'
      value:
        type: string
    type: object
  settings.ContactCreateInput:
    properties:
      icon_path:
        type: string
      name:
        type: string
      phone:
        type: string
    type: object
  settings.ContactPageFilterInput:
    properties:
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      phone:
        type: string
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  settings.ContactUpdateInput:
    properties:
      icon_path:
        type: string
      name:
        type: string
      phone:
        type: string
    type: object
  settings.CouponCreateInput:
    properties:
      code:
        type: string
      is_used:
        type: boolean
      price:
        type: number
    type: object
  settings.CouponPageFilterInput:
    properties:
      code:
        type: string
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      is_used:
        type: string
      limit:
        example: 20
        type: integer
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  settings.CouponUpdateInput:
    properties:
      code:
        type: string
      is_used:
        type: boolean
      price:
        type: number
    type: object
  settings.EmailTemplateCreateInput:
    properties:
      content_html:
        type: string
      name:
        type: string
      type:
        type: string
    type: object
  settings.EmailTemplatePageFilterInput:
    properties:
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
      type:
        type: string
    type: object
  settings.EmailTemplateUpdateInput:
    properties:
      content_html:
        type: string
      name:
        type: string
      type:
        type: string
    type: object
  settings.InsuranceCompanyCreateInput:
    properties:
      name:
        type: string
      phone:
        type: string
      website:
        type: string
    type: object
  settings.InsuranceCompanyPageFilterInput:
    properties:
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      phone:
        type: string
      sorter:
        $ref: '#/definitions/database.Sorter'
      website:
        type: string
    type: object
  settings.InsuranceCompanyUpdateInput:
    properties:
      name:
        type: string
      phone:
        type: string
      website:
        type: string
    type: object
  settings.LocationCreateInput:
    properties:
      lat:
        type: number
      long:
        type: number
      name:
        type: string
    type: object
  settings.LocationPageFilterInput:
    properties:
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  settings.LocationUpdateInput:
    properties:
      lat:
        type: number
      long:
        type: number
      name:
        type: string
    type: object
  settings.StaffCreateInput:
    properties:
      avatar_path:
        type: string
      bio:
        type: string
      email:
        type: string
      first_name:
        type: string
      is_active:
        type: boolean
      last_name:
        type: string
      password:
        type: string
      position:
        type: string
      role:
        $ref: '#/definitions/constants.UserRole'
    type: object
  settings.StaffPageFilterInput:
    properties:
      bio:
        type: string
      created_at:
        items:
          type: string
        type: array
      email:
        type: string
      first_name:
        type: string
      is_active:
        type: string
      is_all:
        type: boolean
      last_name:
        type: string
      limit:
        example: 20
        type: integer
      page:
        example: 0
        type: integer
      position:
        type: string
      role:
        $ref: '#/definitions/constants.UserRole'
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  settings.StaffUpdateInput:
    properties:
      avatar_path:
        type: string
      bio:
        type: string
      email:
        type: string
      first_name:
        type: string
      is_active:
        type: boolean
      last_name:
        type: string
      position:
        type: string
      role:
        $ref: '#/definitions/constants.UserRole'
    type: object
  staff.LoginInput:
    properties:
      email:
        description: Имэйл
        type: string
      password:
        description: Нууц үг
        type: string
    required:
    - email
    - password
    type: object
  staff.LoginResponse:
    properties:
      token:
        type: string
      user:
        $ref: '#/definitions/staff.UserInfo'
    type: object
  staff.PasswordChangeInput:
    properties:
      old_password:
        type: string
      password:
        type: string
    type: object
  staff.UpdateInput:
    properties:
      avatar_path:
        type: string
      bio:
        type: string
      email:
        type: string
      first_name:
        type: string
      last_name:
        type: string
    type: object
  staff.UserInfo:
    properties:
      avatar_path:
        type: string
      bio:
        type: string
      created_at:
        type: string
      email:
        type: string
      first_name:
        type: string
      id:
        type: integer
      is_active:
        type: boolean
      last_name:
        type: string
      position:
        type: string
      role:
        $ref: '#/definitions/constants.UserRole'
      updated_at:
        type: string
    type: object
  vehicle.CarCreateInput:
    properties:
      baggage:
        type: integer
      capacity:
        type: integer
      car_type_id:
        type: integer
      casoline:
        type: integer
      color:
        type: string
      description:
        type: string
      image_paths:
        items:
          type: string
        type: array
      insurance_id:
        type: integer
      is_featured:
        type: boolean
      is_popular:
        type: boolean
      licence_no:
        type: string
      name:
        type: string
      price:
        type: number
      steering:
        $ref: '#/definitions/constants.Steering'
      vin_no:
        type: string
    type: object
  vehicle.CarDamageCreateInput:
    properties:
      car_id:
        type: integer
      customer_id:
        type: integer
      location:
        $ref: '#/definitions/constants.DamageLocation'
      note:
        type: string
      reservation_id:
        type: integer
      type:
        $ref: '#/definitions/constants.DamageType'
    type: object
  vehicle.CarDamagePageFilterInput:
    properties:
      car_id:
        type: integer
      created_at:
        items:
          type: string
        type: array
      customer_id:
        type: integer
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      location:
        $ref: '#/definitions/constants.DamageLocation'
      note:
        type: string
      page:
        example: 0
        type: integer
      reservation_id:
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
      type:
        $ref: '#/definitions/constants.DamageType'
    type: object
  vehicle.CarDamageUpdateInput:
    properties:
      car_id:
        type: integer
      customer_id:
        type: integer
      location:
        $ref: '#/definitions/constants.DamageLocation'
      note:
        type: string
      reservation_id:
        type: integer
      type:
        $ref: '#/definitions/constants.DamageType'
    type: object
  vehicle.CarDocumentCreateInput:
    properties:
      car_id:
        type: integer
      file_path:
        type: string
      name:
        type: string
    type: object
  vehicle.CarDocumentPageFilterInput:
    properties:
      car_id:
        type: integer
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  vehicle.CarItem:
    properties:
      baggage:
        type: integer
      capacity:
        type: integer
      car_type:
        $ref: '#/definitions/databases.CarType'
      car_type_id:
        description: references
        type: integer
      car_type_name:
        type: string
      casoline:
        type: integer
      color:
        type: string
      created_at:
        type: string
      description:
        type: string
      id:
        type: integer
      image_paths:
        items:
          type: string
        type: array
      insurance:
        $ref: '#/definitions/databases.InsuranceCompany'
      insurance_company_name:
        type: string
      insurance_id:
        type: integer
      is_featured:
        type: boolean
      is_popular:
        type: boolean
      licence_no:
        type: string
      name:
        type: string
      price:
        type: number
      status:
        $ref: '#/definitions/constants.CarStatus'
      steering:
        $ref: '#/definitions/constants.Steering'
      updated_at:
        type: string
      vin_no:
        type: string
    type: object
  vehicle.CarNoteCreateInput:
    properties:
      car_id:
        type: integer
      note:
        type: string
    type: object
  vehicle.CarNotePageFilterInput:
    properties:
      car_id:
        type: integer
      created_at:
        items:
          type: string
        type: array
      is_all:
        type: boolean
      limit:
        example: 20
        type: integer
      note:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
    type: object
  vehicle.CarNoteUpdateInput:
    properties:
      car_id:
        type: integer
      note:
        type: string
    type: object
  vehicle.CarPageFilterInput:
    properties:
      car_type_id:
        type: integer
      car_type_name:
        type: string
      color:
        type: string
      created_at:
        items:
          type: string
        type: array
      description:
        type: string
      insurance_company_name:
        type: string
      insurance_id:
        type: integer
      is_all:
        type: boolean
      is_featured:
        type: string
      is_popular:
        type: string
      licence_no:
        type: string
      limit:
        example: 20
        type: integer
      name:
        type: string
      page:
        example: 0
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
      status:
        $ref: '#/definitions/constants.CarStatus'
      steering:
        $ref: '#/definitions/constants.Steering'
      vin_no:
        type: string
    type: object
  vehicle.CarTrafficCreateInput:
    properties:
      car_id:
        type: integer
      customer_id:
        type: integer
      date:
        type: string
      is_paid:
        type: boolean
      note:
        type: string
      reservation_id:
        type: integer
      ticket_no:
        type: string
    type: object
  vehicle.CarTrafficPageFilterInput:
    properties:
      car_id:
        type: integer
      created_at:
        items:
          type: string
        type: array
      customer_id:
        type: integer
      date:
        type: string
      is_all:
        type: boolean
      is_paid:
        type: string
      limit:
        example: 20
        type: integer
      note:
        type: string
      page:
        example: 0
        type: integer
      reservation_id:
        type: integer
      sorter:
        $ref: '#/definitions/database.Sorter'
      ticket_no:
        type: string
    type: object
  vehicle.CarTrafficUpdateInput:
    properties:
      car_id:
        type: integer
      customer_id:
        type: integer
      date:
        type: string
      is_paid:
        type: boolean
      note:
        type: string
      reservation_id:
        type: integer
      ticket_no:
        type: string
    type: object
  vehicle.CarUpdateInput:
    properties:
      baggage:
        type: integer
      capacity:
        type: integer
      car_type_id:
        type: integer
      casoline:
        type: integer
      color:
        type: string
      description:
        type: string
      image_paths:
        items:
          type: string
        type: array
      insurance_id:
        type: integer
      is_featured:
        type: boolean
      is_popular:
        type: boolean
      licence_no:
        type: string
      name:
        type: string
      price:
        type: number
      steering:
        $ref: '#/definitions/constants.Steering'
      vin_no:
        type: string
    type: object
  vehicle.CarUpdateStatusInput:
    properties:
      status:
        $ref: '#/definitions/constants.CarStatus'
    type: object
info:
  contact:
    email: hello@batorgil.dev
    name: API Support
    url: https://www.facebook.com/bat.orgil.kok/
  description: CarrentalAPI v1.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: https://carrental.batorgil.dev/
  title: CarrentalAPI v1
  version: "1.0"
paths:
  /:
    get:
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/common.BaseResponse'
      summary: Alive
      tags:
      - Alive
  /staff/auth/info:
    get:
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/staff.UserInfo'
              type: object
      summary: Нэвтэрсэн User-ний мэдээлэл авах
      tags:
      - '[User] Auth'
  /staff/auth/init:
    post:
      parameters:
      - description: Auth
        in: body
        name: auth
        required: true
        schema:
          $ref: '#/definitions/staff.LoginInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/staff.LoginInput'
              type: object
      summary: Staff хэрэглэгч үүсгэх
      tags:
      - '[User] Auth'
  /staff/auth/login:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/staff.LoginInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/staff.LoginResponse'
              type: object
      summary: Staff нэвтрэх
      tags:
      - '[User] Auth'
  /staff/auth/password_change:
    put:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/staff.PasswordChangeInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Өөрийн нууц үг өөрчлөх
      tags:
      - '[User] Auth'
  /staff/auth/token_refresh:
    get:
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/staff.UserInfo'
              type: object
      summary: Нэвтэрсэн хэрэгэлчийн token сэргээнэ авах
      tags:
      - '[User] Auth'
  /staff/auth/update:
    put:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/staff.UpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Өөрийн мэдээлэл өөрчлөх
      tags:
      - '[User] Auth'
  /staff/settings/car_type/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.CarTypeCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarType create
      tags:
      - '[Staff] [Settings] Car_type'
  /staff/settings/car_type/delete/:id:
    delete:
      parameters:
      - description: CarType ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarType delete
      tags:
      - '[Staff] [Settings] Car_type'
  /staff/settings/car_type/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.CarTypePageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.CarType'
                        type: array
                    type: object
              type: object
      summary: CarType pagination
      tags:
      - '[Staff] [Settings] Car_type'
  /staff/settings/car_type/update/:id:
    put:
      parameters:
      - description: CarType ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.CarTypeUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarType edit
      tags:
      - '[Staff] [Settings] Car_type'
  /staff/settings/config/get/:key:
    get:
      parameters:
      - description: Config Key
        in: path
        name: key
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/settings.ConfigData'
              type: object
      summary: Config detail
      tags:
      - '[Staff] [Settings] Config'
  /staff/settings/config/set/:key:
    post:
      parameters:
      - description: Config Key
        in: path
        name: key
        required: true
        type: integer
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.ConfigSetInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Config pagination
      tags:
      - '[Staff] [Settings] Config'
  /staff/settings/contact/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.ContactCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Contact create
      tags:
      - '[Staff] [Settings] Contact'
  /staff/settings/contact/delete/:id:
    delete:
      parameters:
      - description: Contact ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Contact delete
      tags:
      - '[Staff] [Settings] Contact'
  /staff/settings/contact/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.ContactPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.Contact'
                        type: array
                    type: object
              type: object
      summary: Contact pagination
      tags:
      - '[Staff] [Settings] Contact'
  /staff/settings/contact/update/:id:
    put:
      parameters:
      - description: Contact ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.ContactUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Contact edit
      tags:
      - '[Staff] [Settings] Contact'
  /staff/settings/coupon/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.CouponCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Coupon create
      tags:
      - '[Staff] [Settings] Coupon'
  /staff/settings/coupon/delete/:id:
    delete:
      parameters:
      - description: Coupon ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Coupon delete
      tags:
      - '[Staff] [Settings] Coupon'
  /staff/settings/coupon/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.CouponPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.Coupon'
                        type: array
                    type: object
              type: object
      summary: Coupon pagination
      tags:
      - '[Staff] [Settings] Coupon'
  /staff/settings/coupon/update/:id:
    put:
      parameters:
      - description: Coupon ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.CouponUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Coupon edit
      tags:
      - '[Staff] [Settings] Coupon'
  /staff/settings/email_template/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.EmailTemplateCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: EmailTemplate create
      tags:
      - '[Staff] [Settings] Email_template'
  /staff/settings/email_template/delete/:id:
    delete:
      parameters:
      - description: EmailTemplate ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: EmailTemplate delete
      tags:
      - '[Staff] [Settings] Email_template'
  /staff/settings/email_template/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.EmailTemplatePageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.EmailTemplate'
                        type: array
                    type: object
              type: object
      summary: EmailTemplate pagination
      tags:
      - '[Staff] [Settings] Email_template'
  /staff/settings/email_template/update/:id:
    put:
      parameters:
      - description: EmailTemplate ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.EmailTemplateUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: EmailTemplate edit
      tags:
      - '[Staff] [Settings] Email_template'
  /staff/settings/insurance_company/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.InsuranceCompanyCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: InsuranceCompany create
      tags:
      - '[Staff] [Settings] Insurance_company'
  /staff/settings/insurance_company/delete/:id:
    delete:
      parameters:
      - description: InsuranceCompany ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: InsuranceCompany delete
      tags:
      - '[Staff] [Settings] Insurance_company'
  /staff/settings/insurance_company/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.InsuranceCompanyPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.InsuranceCompany'
                        type: array
                    type: object
              type: object
      summary: InsuranceCompany pagination
      tags:
      - '[Staff] [Settings] Insurance_company'
  /staff/settings/insurance_company/update/:id:
    put:
      parameters:
      - description: InsuranceCompany ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.InsuranceCompanyUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: InsuranceCompany edit
      tags:
      - '[Staff] [Settings] Insurance_company'
  /staff/settings/location/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.LocationCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Location create
      tags:
      - '[Staff] [Settings] Location'
  /staff/settings/location/delete/:id:
    delete:
      parameters:
      - description: Location ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Location delete
      tags:
      - '[Staff] [Settings] Location'
  /staff/settings/location/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.LocationPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.Location'
                        type: array
                    type: object
              type: object
      summary: Location pagination
      tags:
      - '[Staff] [Settings] Location'
  /staff/settings/location/update/:id:
    put:
      parameters:
      - description: Location ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.LocationUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Location edit
      tags:
      - '[Staff] [Settings] Location'
  /staff/staff/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.StaffCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Staff create
      tags:
      - '[Staff] Staff'
  /staff/staff/delete/:id:
    delete:
      parameters:
      - description: Staff ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Staff delete
      tags:
      - '[Staff] Staff'
  /staff/staff/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/settings.StaffPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.Staff'
                        type: array
                    type: object
              type: object
      summary: Staff pagination
      tags:
      - '[Staff] Staff'
  /staff/staff/update/:id:
    put:
      parameters:
      - description: Staff ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.StaffUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Staff edit
      tags:
      - '[Staff] Staff'
  /staff/vehicle/car/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Car create
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/car/delete/:id:
    delete:
      parameters:
      - description: Car ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Car delete
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/car/get/:id:
    get:
      parameters:
      - description: Car ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/databases.Car'
              type: object
      summary: Car detail
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/car/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/vehicle.CarPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/vehicle.CarItem'
                        type: array
                    type: object
              type: object
      summary: Car pagination
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/car/update/:id:
    put:
      parameters:
      - description: Car ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Car edit
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/car/update_status/:id:
    put:
      parameters:
      - description: Car ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarUpdateStatusInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Car status update
      tags:
      - '[Staff] [Vehicle] Car'
  /staff/vehicle/damage/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarDamageCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarDamage create
      tags:
      - '[Staff] [Vehicle] Damage'
  /staff/vehicle/damage/delete/:id:
    delete:
      parameters:
      - description: CarDamage ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarDamage delete
      tags:
      - '[Staff] [Vehicle] Damage'
  /staff/vehicle/damage/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/vehicle.CarDamagePageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.CarDamage'
                        type: array
                    type: object
              type: object
      summary: CarDamage pagination
      tags:
      - '[Staff] [Vehicle] Damage'
  /staff/vehicle/damage/update/:id:
    put:
      parameters:
      - description: CarDamage ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarDamageUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarDamage edit
      tags:
      - '[Staff] [Vehicle] Damage'
  /staff/vehicle/document/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarDocumentCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarDocument create
      tags:
      - '[Staff] [Vehicle] Document'
  /staff/vehicle/document/delete/:id:
    delete:
      parameters:
      - description: CarDocument ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarDocument delete
      tags:
      - '[Staff] [Vehicle] Document'
  /staff/vehicle/document/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/vehicle.CarDocumentPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.CarDocument'
                        type: array
                    type: object
              type: object
      summary: CarDocument pagination
      tags:
      - '[Staff] [Vehicle] Document'
  /staff/vehicle/note/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarNoteCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarNote create
      tags:
      - '[Staff] [Vehicle] Note'
  /staff/vehicle/note/delete/:id:
    delete:
      parameters:
      - description: CarNote ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarNote delete
      tags:
      - '[Staff] [Vehicle] Note'
  /staff/vehicle/note/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/vehicle.CarNotePageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.CarNote'
                        type: array
                    type: object
              type: object
      summary: CarNote pagination
      tags:
      - '[Staff] [Vehicle] Note'
  /staff/vehicle/note/update/:id:
    put:
      parameters:
      - description: CarNote ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarNoteUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarNote edit
      tags:
      - '[Staff] [Vehicle] Note'
  /staff/vehicle/traffic/create:
    post:
      parameters:
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarTrafficCreateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarTraffic create
      tags:
      - '[Staff] [Vehicle] Traffic'
  /staff/vehicle/traffic/delete/:id:
    delete:
      parameters:
      - description: CarTraffic ID
        in: path
        name: id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarTraffic delete
      tags:
      - '[Staff] [Vehicle] Traffic'
  /staff/vehicle/traffic/page:
    post:
      parameters:
      - description: Filter
        in: body
        name: filter
        schema:
          $ref: '#/definitions/vehicle.CarTrafficPageFilterInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  allOf:
                  - $ref: '#/definitions/common.PaginationResponse'
                  - properties:
                      items:
                        items:
                          $ref: '#/definitions/databases.CarTraffic'
                        type: array
                    type: object
              type: object
      summary: CarTraffic pagination
      tags:
      - '[Staff] [Vehicle] Traffic'
  /staff/vehicle/traffic/update/:id:
    put:
      parameters:
      - description: CarTraffic ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/vehicle.CarTrafficUpdateInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: CarTraffic edit
      tags:
      - '[Staff] [Vehicle] Traffic'
  /user/change_password/:id:
    post:
      parameters:
      - description: Staff ID
        in: path
        name: id
        required: true
        type: integer
      - description: Input
        in: body
        name: input
        required: true
        schema:
          $ref: '#/definitions/settings.ChangePasswordInput'
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/common.SuccessResponse'
              type: object
      summary: Staff нууц үг өөрчлөх
      tags:
      - '[Staff] Staff'
  /user/file/multi/upload:
    post:
      parameters:
      - collectionFormat: csv
        description: Names
        in: formData
        items:
          type: string
        name: names
        required: true
        type: array
      - description: Files
        in: formData
        name: files
        required: true
        type: file
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/controllers.UploadResponse'
              type: object
      summary: Upload multiple file
      tags:
      - '[User] File'
  /user/file/upload:
    post:
      parameters:
      - description: Name
        in: formData
        name: name
        required: true
        type: string
      - description: File
        in: formData
        name: file
        required: true
        type: file
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/common.BaseResponse'
            - properties:
                body:
                  $ref: '#/definitions/controllers.UploadResponse'
              type: object
      summary: Upload single file
      tags:
      - '[User] File'
produces:
- application/json
schemes:
- http
- https
swagger: "2.0"
